#include "ResourcePool/oracle/ResourcePool.hh"

#include "t/main.hh"

#include "testconfig.cc"
#include "../SQL/SQLBatch.t.cc"
#include "../SQL/SQLBatchCommand.hh"

std::auto_ptr<RP> rp;

void INIT_oracle_SQLBatch() {
	rp.reset(new RP(getFactory()));
	test_SQLBatch_init(*rp);
}

void TEST_oracle_SQLBatch_one() {
	test_SQLBatch_one(*rp);
}

void TEST_oracle_SQLBatch_fail() {
	test_SQLBatch_fail(*rp);
}

void TEST_oracle_SQLBatch_complex() {
	test_SQLBatch_complex(*rp);
}
void TEST_oracle_SQLBatch_nested() {
	test_SQLBatch_nested(*rp);
}
void TEST_PERF_oracle_OptimizedBatch_ok() {
	 test_PERF_SQLBatch_ok<RP::Command::SQLBatch>(*rp);
}

void TEST_PERF_oracle_BatchCommand_ok() {
	 test_PERF_SQLBatch_ok<fatalmind::SQL::SQLBatchCommand<RP::Command::Base> >(*rp);
}

void TEST_PERF_oracle_SQLBatch_failoften() {
	test_PERF_SQLBatch_failoften(*rp);
}
